Skip to content

What the assistant was asked: tokens and estimated cost, newest first

GET
/api/v1/assistant/usage
curl --request GET \
--url 'http://127.0.0.1:8484/api/v1/assistant/usage?limit=100'
limit
integer format: int64
default: 100 >= 1 <= 500

OK

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
entries
required
Array<object> | null
object
at
required
string format: date-time
costUsd

Estimated cost in US dollars; absent when the model’s price is not known

string
failed
required
boolean
id
required
string
inputTokens
required
integer format: int64
kind
required
string
Allowed values: question import
member
required

Who asked

string
model
required
string
outputTokens
required
integer format: int64
provider
required
string
rounds
required

Calls to the model

integer format: int64
surface
required

Web, telegram, slack or import

string

Example

{
"$schema": "https://example.com/api/schemas/AssistantUsage.json",
"entries": [
{
"kind": "question"
}
]
}

Error

Media typeapplication/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"$schema": "https://example.com/api/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}